> ## Documentation Index
> Fetch the complete documentation index at: https://docs.intellibase.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# List Projects

> Retrieve all projects in your account

## Endpoint

```
GET https://api.intellibase.dev/api/v1/projects
```

## Authentication

Requires a valid API key.

## Response

<ResponseField name="projects" type="array">
  Array of project objects

  <Expandable title="Project Object">
    <ResponseField name="project_id" type="string">
      Unique identifier for the project
    </ResponseField>

    <ResponseField name="name" type="string">
      Project name
    </ResponseField>

    <ResponseField name="mode" type="string">
      Operating mode: `vector_only` or `kg_vector`
    </ResponseField>

    <ResponseField name="created_at" type="string" format="datetime">
      When the project was created
    </ResponseField>

    <ResponseField name="ontology" type="object" optional>
      Ontology schema (null for Vector-Only projects)
    </ResponseField>
  </Expandable>
</ResponseField>

<RequestExample>
  ```bash cURL theme={null}
  curl https://api.intellibase.dev/api/v1/projects \
    -H "Authorization: Bearer ib-your-api-key"
  ```

  ```python Python theme={null}
  import requests

  response = requests.get(
      "https://api.intellibase.dev/api/v1/projects",
      headers={"Authorization": "Bearer ib-your-api-key"}
  )

  projects = response.json()["projects"]
  for project in projects:
      print(f"{project['name']} ({project['mode']}): {project['project_id']}")
  ```

  ```typescript TypeScript theme={null}
  const response = await fetch(
    "https://api.intellibase.dev/api/v1/projects",
    {
      headers: {
        "Authorization": "Bearer ib-your-api-key"
      }
    }
  );

  const { projects } = await response.json();
  projects.forEach(project => {
    console.log(`${project.name} (${project.mode}): ${project.project_id}`);
  });
  ```
</RequestExample>

<ResponseExample>
  ```json 200 Success theme={null}
  {
    "projects": [
      {
        "project_id": "proj-abc123",
        "name": "Engineering Knowledge Base",
        "mode": "kg_vector",
        "created_at": "2024-01-15T10:30:00Z",
        "ontology": {
          "name": "Software Engineering",
        }
      },
      {
        "project_id": "proj-xyz789",
        "name": "Document Search",
        "mode": "vector_only",
        "created_at": "2024-01-10T09:00:00Z",
        "ontology": null
      }
    ]
  }
  ```

  ```json 401 Unauthorized theme={null}
  {
    "detail": "Invalid API key"
  }
  ```
</ResponseExample>
